Skip to content

Table API (1.0)

The API allows the APP and POS to send and receive information about tables. Currently the API supports creating, updating and retrieving tables.

Overview
Languages
Servers
Production
https://api.tyro.com/connect

Create Table

Request

This endpoint is used to create a table within Tyro Connect.

The id that is returned as a part of the response should be used to identify the table for subsequent events or retrieving the details.

Security
JWT
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
Content-Typestringrequired
Value"application/json"
Bodyapplication/json
numberstringrequired

This value must be unique and represents the table number or table id. This field accepts alphanumeric characters e.g MAIN-33.

Example: "MAIN-33"
locationIdstringrequired

The id of the location as specified by the Tyro Connect system

sectionobject(section)

The section within the venue

curl -i -X POST \
  https://api.tyro.com/connect/tables \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "number": "table-1",
    "locationId": "tc-cool-3000",
    "section": {
      "id": "section-id",
      "name": "awesome section"
    }
  }'

Responses

Created

Bodyapplication/json
idstringrequired

The id of the table in the Tyro Connect system

Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"
numberstringrequired

This value must be unique and represents the table number or table id. This field accepts alphanumeric characters e.g MAIN-33

Example: "MAIN-33"
locationIdstringrequired

The id of the location as specified by the Tyro Connect system

sectionobject(section)

The section within the venue

openSalesArray of stringsrequired

A list of sale ids that are open in the Tyro Connect system attached to the table.

Response
application/json
{ "id": "2688fcf2-44dd-4c72-88ac-79d0910f2983", "number": "table-1", "locationId": "tc-cool-3000", "section": { "id": "section-id", "name": "awesome section" }, "openSales": [] }

List Tables

Request

This endpoint returns all the tables of a given location. It is possible to apply filters to the tables being fetched.

Filtering

The following locationId=tc-cool-3000&openSales=true will return all tables with open sales for location tc-cool-3000.

Security
JWT
Query
locationIdstringrequired

The Tyro Connect Location Id of the tables to be retrieved. This parameter is required.

Example: locationId=2688fcf2-44dd-4c72-88ac-79d0910f2983
openSalesboolean

Returns only tables that contain at least one open sale.

Example: openSales=true
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  'https://api.tyro.com/connect/tables?locationId=2688fcf2-44dd-4c72-88ac-79d0910f2983&openSales=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The list of tables

Bodyapplication/json
resultsArray of objects(Table)required

The results for the location that satisfy the filtering criteria

results[].​idstringrequired

The id of the table in the Tyro Connect system

Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"
results[].​numberstringrequired

This value must be unique and represents the table number or table id. This field accepts alphanumeric characters e.g MAIN-33

Example: "MAIN-33"
results[].​locationIdstringrequired

The id of the location as specified by the Tyro Connect system

results[].​sectionobject(section)

The section within the venue

results[].​openSalesArray of stringsrequired

A list of sale ids that are open in the Tyro Connect system attached to the table.

Response
application/json
{ "results": [ {}, {} ] }

Get Table

Request

This endpoint is for fetching the details of a table.

Security
JWT
Path
tableIdstringrequired

Id of the table in Tyro Connect that should be retrieved

Example: 2688fcf2-44dd-4c72-88ac-79d0910f2983
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  https://api.tyro.com/connect/tables/2688fcf2-44dd-4c72-88ac-79d0910f2983 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The table response

Bodyapplication/json
idstringrequired

The id of the table in the Tyro Connect system

Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"
numberstringrequired

This value must be unique and represents the table number or table id. This field accepts alphanumeric characters e.g MAIN-33

Example: "MAIN-33"
locationIdstringrequired

The id of the location as specified by the Tyro Connect system

sectionobject(section)

The section within the venue

openSalesArray of stringsrequired

A list of sale ids that are open in the Tyro Connect system attached to the table.

Response
application/json
{ "id": "2688fcf2-44dd-4c72-88ac-79d0910f2983", "number": "table-1", "locationId": "tc-iscool-3000", "section": { "id": "section-id", "name": "awesome section" }, "openSales": [] }

Update Table

Request

This endpoint is for updating a table. Please note table update will not be allowed if the table has open sales.

Security
JWT
Path
tableIdstringrequired

Id of the table in Tyro Connect that should be updated

Example: 2688fcf2-44dd-4c72-88ac-79d0910f2983
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
Content-Typestringrequired
Value"application/json"
Bodyapplication/json
numberstring

This value must be unique and represents the table number or table id. This field accepts alphanumeric characters e.g MAIN-33

Example: "MAIN-33"
sectionobject(section)

The section within the venue

curl -i -X PATCH \
  https://api.tyro.com/connect/tables/2688fcf2-44dd-4c72-88ac-79d0910f2983 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "number": "new-table-id"
  }'

Responses

No body content

Response
No content

Delete Table

Request

This endpoint is for deleting a table. Please note table delete will not be allowed if the table has open sales.

Security
JWT
Path
tableIdstringrequired

Id of the table in Tyro Connect that should be deleted

Example: 2688fcf2-44dd-4c72-88ac-79d0910f2983
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X DELETE \
  https://api.tyro.com/connect/tables/2688fcf2-44dd-4c72-88ac-79d0910f2983 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The table was successfully deleted

Response
No content